| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Neural.InputMappingDefinitionElement Class Reference

Input data element mapping definition for neural networks. More...

Inheritance diagram for IG.Neural.InputMappingDefinitionElement:
[legend]
Collaboration diagram for IG.Neural.InputMappingDefinitionElement:
[legend]

## Public Member Functions
| InputMappingDefinitionElement (int originalElementIndex, int mappedElemntIndex, string originalName, string originalTitle, string originalDescription)
| Constructor. More...
| InputMappingDefinitionElement (string name)
| Constructor. Element index is unknown, there is no element description. More...
| InputMappingDefinitionElement (string name, string title)
| Constructor. Element index is unknown. More...
| InputMappingDefinitionElement (string name, string title, string description)
| Constructor. Element index is unknown. More...
Public Member Functions inherited from IG.Neural.MappingDefinitionElement
| MappingDefinitionElement (int originalElementIndex, int mappedElementIndex, string originalName, string originalTitle, string originalDescription)
| Constructor. More...
| MappingDefinitionElement (string name)
| Constructor. Element index is unknown, there is no element description. More...
| MappingDefinitionElement (string name, string title)
| Constructor. Element index is unknown. More...
| MappingDefinitionElement (string name, string title, string description)
| Constructor. Element index is unknown. More...

## Additional Inherited Members
Protected Attributes inherited from IG.Neural.MappingDefinitionElement
int | _originalElementIndex = -1
bool | _originalElementindexSpecified = false
int | _mappedElementIndex = -1
bool | _mappedElementindexSpecified = false
string | _originalName
string | _orirginalTitle
string | _originalDescription
Properties inherited from IG.Neural.MappingDefinitionElement
virtual int | OriginalElementIndex`[get, set]`
| Specifies the original index of the element described by the mapped definition, within the data vextor (either input or output). More...
virtual bool | OriginalElementIndexSpecified`[get, set]`
| Specifies whether original element index is specified for the data element described by the mapped definition. More...
virtual int | MappedElementIndex`[get, set]`
| Specifies the mapped index of the element described by the current definition, within the data vextor (either input or output). More...
virtual bool | MappedElementIndexSpecified`[get, set]`
| Specifies whether mapped element index is specified for the data element described by the mapped definition. More...
virtual string | OriginalName`[get, set]`
| Unique name of the data element described by the mapped definition. Considered a kind of variable name that distinguishes between data by short names. More...
virtual string | OriginalTitle`[get, set]`
| A title describing what given data element represents. Titles can contain special characters and spaces, but should be shorter than descriptions. More...
virtual string | OriginalDescription`[get, set]`
| Describes the meaning of a data element used as part of neural network input or output data. More...

## Detailed Description

Input data element mapping definition for neural networks.

$A Igor Jul 19; tako78 Jul 19

## Constructor & Destructor Documentation

IG.Neural.InputMappingDefinitionElement.InputMappingDefinitionElement | ( | int | originalElementIndex,
|  | int | mappedElemntIndex,
|  | string | originalName,
|  | string | originalTitle,
|  | string | originalDescription
| ) |  |
| inline

Constructor.

Parameters

  originalElementIndex | OriginalIndex of the input or output data element specified by the mapped definision. If less than 0 is specified then it is considered that original element index is not known or defined in the current context.
  mappedElemntIndex | MappedIndex of the input or output data element specified by the current definision. If less than 0 is specified then it is considered that original element index is not known or defined in the current context.
  originalName | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  originalTitle | Short descriptive title (like name, but can contain spaces and special characters).
  originalDescription | Element description. Can be an arbvitrary string.

$A Igor Jul 19; tako78 Jul 19

IG.Neural.InputMappingDefinitionElement.InputMappingDefinitionElement | ( | string | name | ) |
| inline

Constructor. Element index is unknown, there is no element description.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.

$A Igor Jul 19; tako78 Jul 19

IG.Neural.InputMappingDefinitionElement.InputMappingDefinitionElement | ( | string | name,
|  | string | title
| ) |  |
| inline

Constructor. Element index is unknown.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).

$A Igor Jul 19; tako78 Jul 19

IG.Neural.InputMappingDefinitionElement.InputMappingDefinitionElement | ( | string | name,
|  | string | title,
|  | string | description
| ) |  |
| inline

Constructor. Element index is unknown.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).
  description | Element description. Can be an arbitrary string.

$A Igor Jul 19; tako78 Jul 19

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/testneural/NeuralMapData.cs